# 5. API Reference | FFMODListener

This documentation is preliminary and is subject to change.

Defines:

- FFMODInteriorSettings

Properties:

- FFMODListener::Transform
- FFMODListener::Velocity
- FFMODListener::InteriorSettings
- FFMODListener::Volume
- FFMODListener::InteriorStartTime
- FFMODListener::InteriorEndTime
- FFMODListener::ExteriorEndTime
- FFMODListener::InteriorLPFEndTime
- FFMODListener::ExteriorLPFEndTime
- FFMODListener::InteriorVolumeInterp
- FFMODListener::InteriorLPFInterp
- FFMODListener::ExteriorVolumeInterp
- FFMODListener::ExteriorLPFInterp

Methods:

- FFMODListener::GetUp
- FFMODListener::GetFront
- FFMODListener::GetRight
- FFMODListener::Interpolate
- FFMODListener::UpdateCurrentInteriorSettings
- FFMODListener::ApplyInteriorSettings